import { html } from 'lit-html';
const meta = {
    title: 'Icon',
    component: 'zero-icon',
};
export default meta;
const wrapperStyle = 'display: flex; width: 50%; justify-content: space-between;';
export const Multiple = {
    render: () => html `
    <div style="${wrapperStyle}">
      <zero-icon name="glasses" size="1x"></zero-icon>
      <zero-icon name="amazon" size="2x" variant="brand"></zero-icon>
      <zero-icon name="amazon-pay" size="3x" variant="brand"></zero-icon>
      <zero-icon name="apple" size="4x" variant="brand"></zero-icon>
      <zero-icon name="chrome" size="5x" variant="brand"></zero-icon>
      <zero-icon name="ambulance" size="xs"></zero-icon>
      <zero-icon name="angry" size="1x"></zero-icon>
      <zero-icon variant="regular" name="angry" size="sm"></zero-icon>
      <zero-icon name="address-book" size="lg"></zero-icon>
      <zero-icon variant="regular" name="address-book" size="xl"></zero-icon>
      <zero-icon name="bookmark" size="2xl;"></zero-icon>
      <zero-icon variant="regular" name="bookmark" size="2xs"></zero-icon>
      <zero-icon tooltip="Zero Icon Tooltip with dynamic ID"></zero-icon>
      <zero-icon
        tooltip="Zero Icon Tooltip with custom ID"
        tooltip-id="custom-tooltip-id"
      ></zero-icon>
    </div>
  `,
};
export const Configurable = {
    argTypes: {
        size: {
            control: 'select',
            options: [
                '2xs',
                'xs',
                'sm',
                'lg',
                'xl',
                '2xl',
                '1x',
                '2x',
                '3x',
                '4x',
                '5x',
                '6x',
                '7x',
                '8x',
                '9x',
                '10x',
            ],
        },
        variant: {
            control: 'select',
            options: ['solid', 'regular', 'brand'],
        },
    },
    args: {
        name: 'glasses',
        size: 'lg',
        variant: 'solid',
    },
    render: ({ name, size, variant }) => html `
    <zero-icon name="${name}" size="${size}" variant="${variant}"></zero-icon>
  `,
};
export const IconTooltips = {
    render: () => html `
    <div style="${wrapperStyle}">
      <zero-icon tooltip="Zero Icon Tooltip with dynamic ID"></zero-icon>
      <zero-icon
        tooltip="Zero Icon Tooltip with custom ID"
        tooltip-id="custom-tooltip-id"
      ></zero-icon>
      <zero-icon error tooltip="Zero Icon Tooltip with error"></zero-icon>
    </div>
  `,
};
